# 
# 
#	  Name: bind.mk 
#		make include file for BIND for La Casita 
# 
# 
 
#SC_VRM		=	bind-8.2.2
#SC_VRM		=	bind-8.4.1
SC_VRM		=	bind-8.4.4
#SC_VRM		=	bind-9.2.2
#SC_VRM		=	bind-9.2.3
#SC_URL		=	\
#	ftp://ftp.isc.org/isc/bind/src/8.4.1/bind-src.tar.gz \
#	ftp://ftp.isc.org/isc/bind/src/8.4.1/bind-src.tar.gz.asc \
#	ftp://ftp.isc.org/isc/bind/src/8.4.1/bind-doc.tar.gz \
#	ftp://ftp.isc.org/isc/bind/src/8.4.1/bind-doc.tar.gz.asc \
#	ftp://ftp.isc.org/isc/bind/src/8.4.1/bind-contrib.tar.gz \
#	ftp://ftp.isc.org/isc/bind/src/8.4.1/bind-contrib.tar.gz.asc 
SC_URL		=	\
	    ftp://ftp.isc.org/isc/bind/src/8.4.4/bind-src.tar.gz \
	    ftp://ftp.isc.org/isc/bind/src/8.4.4/bind-src.tar.gz.asc \
	    ftp://ftp.isc.org/isc/bind/src/8.4.4/bind-doc.tar.gz \
	    ftp://ftp.isc.org/isc/bind/src/8.4.4/bind-doc.tar.gz.asc \
	    ftp://ftp.isc.org/isc/bind/src/8.4.4/bind-contrib.tar.gz \
	    ftp://ftp.isc.org/isc/bind/src/8.4.4/bind-contrib.tar.gz.asc 
#SC_URL		=  ftp://ftp.isc.org/isc/bind9/9.2.2/bind-9.2.2.tar.gz \
#	       ftp://ftp.isc.org/isc/bind9/9.2.2/bind-9.2.2.tar.gz.asc
SC_FETCH	=	wget --passive-ftp --no-clobber $(SC_URL) ; \
			mkdir -p $(SC_VRM) ; \
			cd $(SC_VRM) ; \
				tar xzf ../bind-doc.tar.gz ; \
				tar xzf ../bind-contrib.tar.gz ; \
				tar xzf ../bind-src.tar.gz ; \
				cd .. ; \
			tar czf $(SC_VRM).tar.gz $(SC_VRM) ; \
			rm -r $(SC_VRM) ; \
			rm bind-doc.tar.gz bind-doc.tar.gz.asc \
			   bind-contrib.tar.gz bind-contrib.tar.gz.asc \
			   bind-src.tar.gz bind-src.tar.gz.asc 
#SC_SOURCE	=	
#SC_CONFIG	=	echo linux > src/.systype  
SC_CONFIG	=	echo freebsd > src/.systype  
SC_BUILD	=	cd src ; $(MAKE) 
SC_INSTALL	=	cd src ; $(MAKE) install 
SC_FIXUP	=	strip /usr/sbin/named \
			/usr/sbin/named-xfer /usr/sbin/dnskeygen \
			/usr/bin/addr /usr/bin/dig /usr/bin/host \
			/usr/bin/nslookup /usr/bin/dnsquery \
			/usr/bin/nsupdate /usr/bin/mkservdb \
			/usr/sbin/irpd /usr/sbin/ndc 
 

#SC_VRM		=	bindutil-8.2.2
#SC_VRM		=	bind9-utils-9.2.2
